//
//  RoleModel.m
//  SLAiELTS
//
//  Created by Gusont on 2023/2/28.
//

#import "RoleModel.h"

@interface RoleModel()

/// 男，女
@property (nonatomic, strong) NSString *dataSex;

@property (nonatomic, strong) NSString *dataName;


@end

@implementation RoleModel

- (void)setDataSex:(NSString *)dataSex {
    _dataSex = dataSex;
    _aiSex = _dataSex;
}

- (void)setDataName:(NSString *)dataName {
    _dataName = dataName;
    _aiName = _dataName;
}

+ (NSDictionary *)roleModelDict {
    return @{NSLocalizedString(@"British Accent", nil) : @"1",
             NSLocalizedString(@"American Accent", nil) : @"0",
             NSLocalizedString(@"fast", nil) : @"1.5",
             NSLocalizedString(@"medium", nil) : @"1",
             NSLocalizedString(@"slow", nil) : @"0.5",
             NSLocalizedString(@"男性", nil) : @"男",
             NSLocalizedString(@"女性", nil) : @"女",};
}

+ (NSDictionary *)roleSpeedModelDict {
    return @{
             NSLocalizedString(@"fast", nil) : @"1.5",
             NSLocalizedString(@"medium", nil) : @"1",
             NSLocalizedString(@"slow", nil) : @"0.5"};
}

+ (NSDictionary *)roleLanuchModelDict {
    return @{
            NSLocalizedString(@"British Accent", nil) : @"1",
            NSLocalizedString(@"American Accent", nil) : @"0",};
}

@end

@implementation RoleViewModel

@end


@implementation InterestModel

+ (NSDictionary *)mj_replacedKeyFromPropertyName {
   return @{
            @"interestId" : @"id"};
}

@end
